### Class

# GUPnP XMLDoc

#### Description [src]

    final class GUPnP.XMLDoc : GObject.Object {
      /* No available fields */
    }

Reference-counting wrapper for libxml’s #xmlDoc.

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### gupnp_xml_doc_new

Create a new `GUPnPXMLDoc` for `xml_doc`.

Available since: 0.14.0

###### gupnp_xml_doc_new_from_path

Create a new `GUPnPXMLDoc` for the XML document at `path`.

Available since: 0.14.0

#### Instance methods

###### gupnp_xml_doc_get_doc

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

Available since: 2.22

#### Properties

###### GUPnP.XMLDoc:doc

No description available.

###### GUPnP.XMLDoc:path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPXMLDocClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.